Bewertung: 0 / 5

Stern inaktivStern inaktivStern inaktivStern inaktivStern inaktiv

Installierte requests 2.8.1, steigt dann stetig folgende Fehlermeldung:

/local/lib/python2.7/site-packages/requests/packages/urllib3/util/ssl_.py:100: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest

Um dieses Problem zu lösen, müssen Sie festlegen python 2.7.9 oder höher. Alternativ kann eine ältere Version der Bibliothek Anfragen verwenden:

sudo pip install requests==2.5.3

Bewertung: 0 / 5

Stern inaktivStern inaktivStern inaktivStern inaktivStern inaktiv

ich wollte zu installieren gevent 1.0.2 auf MacBook mit El Capitan, aber die Installation wird die folgende Fehler abgeschlossen:

    libev/ev.c:4675:3: warning: unused variable 'ocur_' [-Wunused-variable]
    
      array_needsize (ev_async *, asyncs, asyncmax, asynccnt, EMPTY2);
    
      ^
    
    libev/ev.c:1758:22: note: expanded from macro 'array_needsize'
    
          int ecb_unused ocur_ = (cur);                                     \
    
                         ^
    
    14 warnings and 1 error generated.
    
    error: command 'cc' failed with exit status 1
    
    ----------------------------------------
    Command "/Users/Documents/workspace/env/bin/python -c "import setuptools, tokenize;__file__='/private/var/folders/3_/2czydczx3pj732hprb91b_x40000gp/T/pip-build-fTtcnZ/gevent/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /var/folders/3_/2czydczx3pj732hprb91b_x40000gp/T/pip-87matg-record/install-record.txt --single-version-externally-managed --compile --install-headers /Users/Documents/workspace/env/include/site/python2.7" failed with error code 1 in /private/var/folders/3_/2czydczx3pj732hprb91b_x40000gp/T/pip-build-fTtcnZ/gevent

Bewertung: 0 / 5

Stern inaktivStern inaktivStern inaktivStern inaktivStern inaktiv

Wenn Sie versuchen, einen Befehl virtualenv env mit Jenkins auszuführen, stieß ich auf das folgende Problem:

New python executable in env/bin/python
Installing distribute.............................................................................................................................................................................................done.
Installing pip...
  Error [Errno 2] No such file or directory while executing command /home/jenkins/worksp...env/bin/easy_install /usr/share/python-virtualenv/pip-1.1.tar.gz
...Installing pip...done.
Traceback (most recent call last):
  File "/usr/bin/virtualenv", line 3, in <module>
    virtualenv.main()
  File "/usr/lib/python2.7/dist-packages/virtualenv.py", line 938, in main
    never_download=options.never_download)
  File "/usr/lib/python2.7/dist-packages/virtualenv.py", line 1054, in create_environment
    install_pip(py_executable, search_dirs=search_dirs, never_download=never_download)
  File "/usr/lib/python2.7/dist-packages/virtualenv.py", line 643, in install_pip
    filter_stdout=_filter_setup)
  File "/usr/lib/python2.7/dist-packages/virtualenv.py", line 976, in call_subprocess
    cwd=cwd, env=env)
  File "/usr/lib/python2.7/subprocess.py", line 679, in __init__
    errread, errwrite)
  File "/usr/lib/python2.7/subprocess.py", line 1249, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory

Das Problem war, dass ich versuchte, eine virtuelle Umgebung zu schaffen, in einem Ordner zu sein benannt "just for testing". Zur Lösung dieses Problems ist es ausreichend, den Ordnernamen umbenennen, so dass es keine Leerzeichen enthält - "just_for_testing".

Bewertung: 0 / 5

Stern inaktivStern inaktivStern inaktivStern inaktivStern inaktiv

Wenn Sie versuchen, einen Befehl auszuführen, pip Selen über Jenkins installieren, stieß ich auf das folgende Problem:

Running setup.py install for selenium

... creating build/lib.linux-x86_64-2.7/selenium/webdriver/firefox/x86 copying py/selenium/webdriver/firefox/x86/x_ignore_nofocus.so -> build/lib.linux-x86_64-2.7/selenium/webdriver/firefox/x86 running install_lib creating /usr/local/lib/python2.7/dist-packages/selenium error: could not create '/usr/local/lib/python2.7/dist-packages/selenium': Permission denied

Das Problem war, dass ich versuchte, das Modul in der virtuellen Umgebung ist in einem Ordner mit dem Namen zu installieren "just for testing". Zur Lösung dieses Problems ist es ausreichend, den Ordnernamen umbenennen, so dass es keine Leerzeichen enthält - "just_for_testing".

Bewertung: 0 / 5

Stern inaktivStern inaktivStern inaktivStern inaktivStern inaktiv

Um dieses Problem zu beheben, gehen Sie folgendermaßen vor:

  1. Öffnen Sie den Unterordner bin в jmeter. In meinem Fall ist es /apache-jmeter-2.13/bin/
  2. Öffnen Sie die Datei jmetermit einem beliebigen Texteditor
  3. korrigieren Sie den Wert HEAP="-Xms512m -Xmx512m" auf HEAP="-Xms512m -Xmx1024m":

  4. speichern Sie die Datei
  5. Wiederaufnahme jmeter

Aktuell sind 23 Gäste und keine Mitglieder online